Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Apr 2021 14:38:02 +0300

> Date: Sun, 18 Apr 2021 11:10:45 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], 
>     [email-masked], [email-masked]
> 
> > I don't see how Emacs is the odd one out here.
> 
> It just feels awkward by today's standards.

I don't share that opinion, but maybe we have different ideas of
today's standards.

> > And we are bikeshedding again: the opinions are clearly divided, and 
> > Emacs lets each one of us customize this feature as they see fit.  So 
> > why is arguing about the default so important, when there's clearly no 
> > consensus?
> 
> We are discussing what a better default could be; in another thread the 
> discussion is about a better default for the 'match' face.  Is discussing 
> the default UX useless because everyone can customize everything?

That's not what I said.  Discussing changes in the defaults is useful
when there's consensus and/or when customization is tricky.  Neither
of those are true in this case.